<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;


$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM forum_prazdel WHERE id = ? LIMIT 1", [$id]);
if ($array -> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
$raz = DB::$dbs->queryFetch("SELECT * FROM forum_razdel WHERE id = ? LIMIT 1", [$arr['rid']]);
$title->SetTitle('Форум - '.$arr['name']);
$title->GetHeader();
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: Форум</div></div></div>';
echo'<div class="list-group-item media"><span class="label label-danger">Новые</span> <a href="newtheme.php">Темы</a> | <a href="newposts.php">Сообщения</a></br>';
if (isset($b)) {
echo'</br><span class="label label-danger">Мои</span> <a href="user_thems.php?id='.$b['id'].'">Темы</a> | <a href="user_posts.php?id='.$b['id'].'">Сообщения</a> | <a href="podpis.php">Наблюдаемые</a>';
}
echo'</div>';
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/forum"style="text-decoration:none; color:white;"> Форум</a> :: '.$arr['name'].'</div></div></div>';
echo'<div class="t-body"><div class="list-group lg-alt">';

if (isset($b)) {
echo '<div class="list-group-item media"><a href="addtopic.php?id='.$id.'"><span class="label label-danger">Новое</span> Начать новую тему</a></div>';
}

$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM forum_topic WHERE prid = ?", [$id]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM forum_topic WHERE prid = ? ORDER BY last DESC LIMIT $start,$num", [$id]);
if ($sql -> rowCount() == 0) {
err('Тем ещё нет!');
} else {
while($a = $sql->fetch()) {
$us_mess = DB::$dbs->queryFetch("SELECT user_id,tid FROM forum_mess WHERE tid = ? ORDER BY time DESC LIMIT $start,$num", [$a['id']]);
$k_mess = DB::$dbs->querySingle("SELECT COUNT(id) FROM forum_mess WHERE tid = ?", array($a['id']));
if ($k_mess > 10) {
$pg = ceil($k_mess / 10);
$st = ' <a href="/forum/thema'.$a['id'].'?page='.$pg.'">>></a>';
} else {
$st = '';
}
echo '<div class="list-group-item media"><a href="/forum/thema'.$a['id'].'"><i class="zmdi zmdi-comments"></i> '.$a['name'].' ('.$k_mess.') '.nick($us_mess['user_id']).' '.$st.'</div>';
}
}
if ($k_page>1) {
str('?id='.$id.'&', $k_page, $page);
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-format-list-bulleted"></i>  <a href="/rules"style="text-decoration:none; color:white;">Правила</a> | <a href="/bbcodes"style="text-decoration:none; color:white;"> Справка BBcode</a> | <a href="/smiles"style="text-decoration:none; color:white;">Все смайлы</a> | <a href="search"style="text-decoration:none; color:white;">Поиск</a></div></div></div>'; 



$title->GetMenu();
$title->GetFooter();
?>